//  APIPackages
//
//  This class provides the capability for decoding a Notes API STATUS into a Package Identifier
//
//  Message Identifier:      N/A
//  Message Range:           0000 - 000
//  Trace area assignment:   None
//  DX Version:				 3.11.1
//  Version:                 3.11.1  Build: 99
//
//  Version History:
//
//  3.10.1		15/10/2010		Asynch Transaction Handler added
//  3.11.1		22/10/2011		VS 2011 readiness
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2010 - 2011
//

#include "APIPackages.h"

//  Constructor
APIPackages::APIPackages(void)
{
	//  Initialise the package reference structure
	NSFPackages.Pkg[0].stLow = PKG_MAIN;
	strcpy_s(NSFPackages.Pkg[0].szPkgBit, MAX_PKGBIT,  "MAIN");
	NSFPackages.Pkg[1].stLow = PKG_CCONSOLE;
	strcpy_s(NSFPackages.Pkg[1].szPkgBit, MAX_PKGBIT,  "CCONSOLE");
	NSFPackages.Pkg[2].stLow = PKG_MAILMISC3;
	strcpy_s(NSFPackages.Pkg[2].szPkgBit, MAX_PKGBIT,  "MAILMISC3");
	NSFPackages.Pkg[3].stLow = PKG_MINDER;
	strcpy_s(NSFPackages.Pkg[3].szPkgBit, MAX_PKGBIT,  "MINDER");
	NSFPackages.Pkg[4].stLow = PKG_SERVER3;
	strcpy_s(NSFPackages.Pkg[4].szPkgBit, MAX_PKGBIT,  "SERVER3");
	NSFPackages.Pkg[5].stLow = PKG_OS;
	strcpy_s(NSFPackages.Pkg[5].szPkgBit, MAX_PKGBIT,  "OS");
	NSFPackages.Pkg[6].stLow = PKG_NSF;
	strcpy_s(NSFPackages.Pkg[6].szPkgBit, MAX_PKGBIT,  "NSF");
	NSFPackages.Pkg[7].stLow = PKG_NIF;
	strcpy_s(NSFPackages.Pkg[7].szPkgBit, MAX_PKGBIT,  "NIF");
	NSFPackages.Pkg[8].stLow = PKG_NSF2;
	strcpy_s(NSFPackages.Pkg[8].szPkgBit, MAX_PKGBIT,  "NSF2");
	NSFPackages.Pkg[9].stLow = PKG_MISC;
	strcpy_s(NSFPackages.Pkg[9].szPkgBit, MAX_PKGBIT,  "MISC");
	NSFPackages.Pkg[10].stLow = PKG_SERVER2;
	strcpy_s(NSFPackages.Pkg[10].szPkgBit, MAX_PKGBIT,  "SERVER2");
	NSFPackages.Pkg[11].stLow = PKG_THUNK;
	strcpy_s(NSFPackages.Pkg[11].szPkgBit, MAX_PKGBIT,  "THUNK");
	NSFPackages.Pkg[12].stLow = PKG_FORMULA;
	strcpy_s(NSFPackages.Pkg[12].szPkgBit, MAX_PKGBIT,  "FORMULA");
	NSFPackages.Pkg[13].stLow = PKG_NSF8;
	strcpy_s(NSFPackages.Pkg[13].szPkgBit, MAX_PKGBIT,  "NSF8");
	NSFPackages.Pkg[14].stLow = PKG_ODS;
	strcpy_s(NSFPackages.Pkg[14].szPkgBit, MAX_PKGBIT,  "ODS");
	NSFPackages.Pkg[15].stLow = PKG_LSXUI4;
	strcpy_s(NSFPackages.Pkg[15].szPkgBit, MAX_PKGBIT,  "LSXUI4");
	NSFPackages.Pkg[16].stLow = PKG_AGENTS2;
	strcpy_s(NSFPackages.Pkg[16].szPkgBit, MAX_PKGBIT,  "AGENTS2");
	NSFPackages.Pkg[17].stLow = PKG_SCHUI;
	strcpy_s(NSFPackages.Pkg[17].szPkgBit, MAX_PKGBIT,  "SCHUI");
	NSFPackages.Pkg[18].stLow = PKG_BERT;
	strcpy_s(NSFPackages.Pkg[18].szPkgBit, MAX_PKGBIT,  "BERT");
	NSFPackages.Pkg[19].stLow = PKG_PLUGINS;
	strcpy_s(NSFPackages.Pkg[19].szPkgBit, MAX_PKGBIT,  "PLUGINS");
	NSFPackages.Pkg[20].stLow = PKG_IMAIL;
	strcpy_s(NSFPackages.Pkg[20].szPkgBit, MAX_PKGBIT,  "IMAIL");
	NSFPackages.Pkg[21].stLow = PKG_PKIX;
	strcpy_s(NSFPackages.Pkg[21].szPkgBit, MAX_PKGBIT,  "PKIX");
	NSFPackages.Pkg[22].stLow = PKG_GT;
	strcpy_s(NSFPackages.Pkg[22].szPkgBit, MAX_PKGBIT,  "GT");
	NSFPackages.Pkg[23].stLow = PKG_NIF2;
	strcpy_s(NSFPackages.Pkg[23].szPkgBit, MAX_PKGBIT,  "NIF2");
	NSFPackages.Pkg[24].stLow = PKG_CLIENT;
	strcpy_s(NSFPackages.Pkg[24].szPkgBit, MAX_PKGBIT,  "CLIENT");
	NSFPackages.Pkg[25].stLow = PKG_LSXUI3;
	strcpy_s(NSFPackages.Pkg[25].szPkgBit, MAX_PKGBIT,  "LSXUI3");
	NSFPackages.Pkg[26].stLow = PKG_APC;
	strcpy_s(NSFPackages.Pkg[26].szPkgBit, MAX_PKGBIT,  "APC");
	NSFPackages.Pkg[27].stLow = PKG_DBMISC2;
	strcpy_s(NSFPackages.Pkg[27].szPkgBit, MAX_PKGBIT,  "DBMISC2");
	NSFPackages.Pkg[28].stLow = PKG_TASK_LOADER;
	strcpy_s(NSFPackages.Pkg[28].szPkgBit, MAX_PKGBIT,  "TASK_LOADER");
	NSFPackages.Pkg[29].stLow = PKG_MAILMISC4;
	strcpy_s(NSFPackages.Pkg[29].szPkgBit, MAX_PKGBIT,  "MAILMISC4");
	NSFPackages.Pkg[30].stLow = PKG_SERVER;
	strcpy_s(NSFPackages.Pkg[30].szPkgBit, MAX_PKGBIT,  "SERVER");
	NSFPackages.Pkg[31].stLow = PKG_NETWORK;
	strcpy_s(NSFPackages.Pkg[31].szPkgBit, MAX_PKGBIT,  "NETWORK");
	NSFPackages.Pkg[32].stLow = PKG_WMISC_ERR;
	strcpy_s(NSFPackages.Pkg[32].szPkgBit, MAX_PKGBIT,  "WMISC_ERR");
	NSFPackages.Pkg[33].stLow = PKG_ACTION;
	strcpy_s(NSFPackages.Pkg[33].szPkgBit, MAX_PKGBIT,  "ACTION");
	NSFPackages.Pkg[34].stLow = PKG_ACTIONPANE;
	strcpy_s(NSFPackages.Pkg[34].szPkgBit, MAX_PKGBIT,  "ACTIONPANE");
	NSFPackages.Pkg[35].stLow = PKG_EDIT_ERR;
	strcpy_s(NSFPackages.Pkg[35].szPkgBit, MAX_PKGBIT,  "EDIT_ERR");
	NSFPackages.Pkg[36].stLow = PKG_VIEW_ERR;
	strcpy_s(NSFPackages.Pkg[36].szPkgBit, MAX_PKGBIT,  "VIEW_ERR");
	NSFPackages.Pkg[37].stLow = PKG_MAIL;
	strcpy_s(NSFPackages.Pkg[37].szPkgBit, MAX_PKGBIT,  "MAIL");
	NSFPackages.Pkg[38].stLow = PKG_BSAFE3;
	strcpy_s(NSFPackages.Pkg[38].szPkgBit, MAX_PKGBIT,  "BSAFE3");
	NSFPackages.Pkg[39].stLow = PKG_BSAFE4;
	strcpy_s(NSFPackages.Pkg[39].szPkgBit, MAX_PKGBIT,  "BSAFE4");
	NSFPackages.Pkg[40].stLow = PKG_CONV;
	strcpy_s(NSFPackages.Pkg[40].szPkgBit, MAX_PKGBIT,  "CONV");
	NSFPackages.Pkg[41].stLow = PKG_NSF4;
	strcpy_s(NSFPackages.Pkg[41].szPkgBit, MAX_PKGBIT,  "NSF4");
	NSFPackages.Pkg[42].stLow = PKG_FRAMDES;
	strcpy_s(NSFPackages.Pkg[42].szPkgBit, MAX_PKGBIT,  "FRAMDES");
	NSFPackages.Pkg[43].stLow = PKG_NETWORK3;
	strcpy_s(NSFPackages.Pkg[43].szPkgBit, MAX_PKGBIT,  "NETWORK3");
	NSFPackages.Pkg[44].stLow = PKG_FT;
	strcpy_s(NSFPackages.Pkg[44].szPkgBit, MAX_PKGBIT,  "FT");
	NSFPackages.Pkg[45].stLow = PKG_BSAFE5;
	strcpy_s(NSFPackages.Pkg[45].szPkgBit, MAX_PKGBIT,  "BSAFE5");
	NSFPackages.Pkg[46].stLow = PKG_DBMISC;
	strcpy_s(NSFPackages.Pkg[46].szPkgBit, MAX_PKGBIT,  "DBMISC");
	NSFPackages.Pkg[47].stLow = PKG_NETWORK2;
	strcpy_s(NSFPackages.Pkg[47].szPkgBit, MAX_PKGBIT,  "NETWORK2");
	NSFPackages.Pkg[48].stLow = PKG_DEBUG;
	strcpy_s(NSFPackages.Pkg[48].szPkgBit, MAX_PKGBIT,  "DEBUG");
	NSFPackages.Pkg[49].stLow = PKG_SSL;
	strcpy_s(NSFPackages.Pkg[49].szPkgBit, MAX_PKGBIT,  "SSL");
	NSFPackages.Pkg[50].stLow = PKG_SERVER4;
	strcpy_s(NSFPackages.Pkg[50].szPkgBit, MAX_PKGBIT,  "SERVER4");
	NSFPackages.Pkg[51].stLow = PKG_BOOKMARK;
	strcpy_s(NSFPackages.Pkg[51].szPkgBit, MAX_PKGBIT,  "BOOKMARK");
	NSFPackages.Pkg[52].stLow = PKG_NSF5;
	strcpy_s(NSFPackages.Pkg[52].szPkgBit, MAX_PKGBIT,  "NSF5");
	NSFPackages.Pkg[53].stLow = PKG_NEM_ERR;
	strcpy_s(NSFPackages.Pkg[53].szPkgBit, MAX_PKGBIT,  "NEM_ERR");
	NSFPackages.Pkg[53].stLow = PKG_ROUTER;
	strcpy_s(NSFPackages.Pkg[53].szPkgBit, MAX_PKGBIT,  "ROUTER");
	NSFPackages.Pkg[54].stLow = PKG_MAILMAN;
	strcpy_s(NSFPackages.Pkg[54].szPkgBit, MAX_PKGBIT,  "MAILMAN");
	NSFPackages.Pkg[55].stLow = PKG_ROUTER2;
	strcpy_s(NSFPackages.Pkg[55].szPkgBit, MAX_PKGBIT,  "ROUTER2");
	NSFPackages.Pkg[56].stLow = PKG_LSBE;
	strcpy_s(NSFPackages.Pkg[56].szPkgBit, MAX_PKGBIT,  "LSBE");
	NSFPackages.Pkg[57].stLow = PKG_LSDO;
	strcpy_s(NSFPackages.Pkg[57].szPkgBit, MAX_PKGBIT,  "LSDO");
	NSFPackages.Pkg[58].stLow = PKG_LSXDB2;
	strcpy_s(NSFPackages.Pkg[58].szPkgBit, MAX_PKGBIT,  "LSXDB2");
	NSFPackages.Pkg[59].stLow = PKG_REG2;
	strcpy_s(NSFPackages.Pkg[59].szPkgBit, MAX_PKGBIT,  "REG2");
	NSFPackages.Pkg[60].stLow = PKG_LSIDE;
	strcpy_s(NSFPackages.Pkg[60].szPkgBit, MAX_PKGBIT,  "LSIDE");
	NSFPackages.Pkg[61].stLow = PKG_HTML;
	strcpy_s(NSFPackages.Pkg[61].szPkgBit, MAX_PKGBIT,  "HTML");
	NSFPackages.Pkg[62].stLow = PKG_SERVER5;
	strcpy_s(NSFPackages.Pkg[62].szPkgBit, MAX_PKGBIT,  "SERVER5");
	NSFPackages.Pkg[63].stLow = PKG_LOG;
	strcpy_s(NSFPackages.Pkg[63].szPkgBit, MAX_PKGBIT,  "LOG");
	NSFPackages.Pkg[64].stLow = PKG_NSF3;
	strcpy_s(NSFPackages.Pkg[64].szPkgBit, MAX_PKGBIT,  "NSF3");
	NSFPackages.Pkg[65].stLow = PKG_XPC;
	strcpy_s(NSFPackages.Pkg[65].szPkgBit, MAX_PKGBIT,  "XPC");
	NSFPackages.Pkg[66].stLow = PKG_EVENT;
	strcpy_s(NSFPackages.Pkg[66].szPkgBit, MAX_PKGBIT,  "EVENT");
	NSFPackages.Pkg[67].stLow = PKG_FIDE;
	strcpy_s(NSFPackages.Pkg[67].szPkgBit, MAX_PKGBIT,  "FIDE");
	NSFPackages.Pkg[68].stLow = PKG_NETWORK4;
	strcpy_s(NSFPackages.Pkg[68].szPkgBit, MAX_PKGBIT,  "NETWORK4");
	NSFPackages.Pkg[69].stLow = PKG_MAILMISC2;
	strcpy_s(NSFPackages.Pkg[69].szPkgBit, MAX_PKGBIT,  "MAILMISC2");
	NSFPackages.Pkg[70].stLow = PKG_BCASE;
	strcpy_s(NSFPackages.Pkg[70].szPkgBit, MAX_PKGBIT,  "BCASE");
	NSFPackages.Pkg[71].stLow = PKG_SECURE2;
	strcpy_s(NSFPackages.Pkg[71].szPkgBit, MAX_PKGBIT,  "SECURE2");
	NSFPackages.Pkg[72].stLow = PKG_BSAFE6;
	strcpy_s(NSFPackages.Pkg[72].szPkgBit, MAX_PKGBIT,  "BSAFE6");
	NSFPackages.Pkg[73].stLow = PKG_REPL;
	strcpy_s(NSFPackages.Pkg[73].szPkgBit, MAX_PKGBIT,  "REPL");
	NSFPackages.Pkg[74].stLow = PKG_ADMIN_ERR2;
	strcpy_s(NSFPackages.Pkg[74].szPkgBit, MAX_PKGBIT,  "ADMIN_ERR2");
	NSFPackages.Pkg[75].stLow = PKG_BSAFE;
	strcpy_s(NSFPackages.Pkg[75].szPkgBit, MAX_PKGBIT,  "BSAFE");
	NSFPackages.Pkg[76].stLow = PKG_SERVER7;
	strcpy_s(NSFPackages.Pkg[76].szPkgBit, MAX_PKGBIT,  "SERVER7");
	NSFPackages.Pkg[77].stLow = PKG_DESK_ERR;
	strcpy_s(NSFPackages.Pkg[77].szPkgBit, MAX_PKGBIT,  "DESK_ERR");
	NSFPackages.Pkg[78].stLow = PKG_SECURE;
	strcpy_s(NSFPackages.Pkg[78].szPkgBit, MAX_PKGBIT,  "SECURE");
	NSFPackages.Pkg[79].stLow = PKG_AGENT;
	strcpy_s(NSFPackages.Pkg[79].szPkgBit, MAX_PKGBIT,  "AGENT");
	NSFPackages.Pkg[80].stLow = PKG_CCONSOLE2;
	strcpy_s(NSFPackages.Pkg[80].szPkgBit, MAX_PKGBIT,  "CCONSOLE2");
	NSFPackages.Pkg[81].stLow = PKG_PLAT_STAT_ERR;
	strcpy_s(NSFPackages.Pkg[81].szPkgBit, MAX_PKGBIT,  "PLAT_STAT_ERR");
	NSFPackages.Pkg[82].stLow = PKG_AGENT1;
	strcpy_s(NSFPackages.Pkg[82].szPkgBit, MAX_PKGBIT,  "AGENT1");
	NSFPackages.Pkg[83].stLow = PKG_AGENTS3;
	strcpy_s(NSFPackages.Pkg[83].szPkgBit, MAX_PKGBIT,  "AGENTS3");
	NSFPackages.Pkg[84].stLow = PKG_AGENT2;
	strcpy_s(NSFPackages.Pkg[84].szPkgBit, MAX_PKGBIT,  "AGENT2");
	NSFPackages.Pkg[85].stLow = PKG_XML;
	strcpy_s(NSFPackages.Pkg[85].szPkgBit, MAX_PKGBIT,  "XML");
	NSFPackages.Pkg[86].stLow = PKG_NETDRV;
	strcpy_s(NSFPackages.Pkg[86].szPkgBit, MAX_PKGBIT,  "NETDRV");
	NSFPackages.Pkg[87].stLow = PKG_IMPORT;
	strcpy_s(NSFPackages.Pkg[87].szPkgBit, MAX_PKGBIT,  "IMPORT");
	NSFPackages.Pkg[88].stLow = PKG_EXPORT;
	strcpy_s(NSFPackages.Pkg[88].szPkgBit, MAX_PKGBIT,  "EXPORT");
	NSFPackages.Pkg[89].stLow = PKG_LSXUI2;
	strcpy_s(NSFPackages.Pkg[89].szPkgBit, MAX_PKGBIT,  "LSXUI2");
	NSFPackages.Pkg[90].stLow = PKG_REG;
	strcpy_s(NSFPackages.Pkg[90].szPkgBit, MAX_PKGBIT,  "REG");
	NSFPackages.Pkg[91].stLow = PKG_NATIVE_FIRST;
	strcpy_s(NSFPackages.Pkg[91].szPkgBit, MAX_PKGBIT,  "NATIVE_OS");
	NSFPackages.Pkg[92].stLow = PKG_NSE;
	strcpy_s(NSFPackages.Pkg[92].szPkgBit, MAX_PKGBIT,  "NSE");
	NSFPackages.Pkg[93].stLow = PKG_NSF6;
	strcpy_s(NSFPackages.Pkg[93].szPkgBit, MAX_PKGBIT,  "NSF6");
	NSFPackages.Pkg[94].stLow = PKG_PERFSTAT;
	strcpy_s(NSFPackages.Pkg[94].szPkgBit, MAX_PKGBIT,  "PERFSTAT");
	NSFPackages.Pkg[95].stLow = PKG_MISC2;
	strcpy_s(NSFPackages.Pkg[95].szPkgBit, MAX_PKGBIT,  "MISC2");
	NSFPackages.Pkg[96].stLow = PKG_NETDRVLCL;
	strcpy_s(NSFPackages.Pkg[96].szPkgBit, MAX_PKGBIT,  "NETDRVLCL");
	NSFPackages.Pkg[97].stLow = PKG_NTI;
	strcpy_s(NSFPackages.Pkg[97].szPkgBit, MAX_PKGBIT,  "NTI");
	NSFPackages.Pkg[98].stLow = PKG_VIEWMAP;
	strcpy_s(NSFPackages.Pkg[98].szPkgBit, MAX_PKGBIT,  "VIEWMAP");
	NSFPackages.Pkg[99].stLow = PKG_BSAFE2;
	strcpy_s(NSFPackages.Pkg[99].szPkgBit, MAX_PKGBIT,  "BSAFE2");
	NSFPackages.Pkg[100].stLow = PKG_REPL2;
	strcpy_s(NSFPackages.Pkg[100].szPkgBit, MAX_PKGBIT,  "REPL2");
	NSFPackages.Pkg[101].stLow = PKG_RDBGERR;
	strcpy_s(NSFPackages.Pkg[101].szPkgBit, MAX_PKGBIT,  "RDBGERR");
	NSFPackages.Pkg[102].stLow = PKG_AGENTS;
	strcpy_s(NSFPackages.Pkg[102].szPkgBit, MAX_PKGBIT,  "AGENTS");
	NSFPackages.Pkg[103].stLow = PKG_DESK_ERR2;
	strcpy_s(NSFPackages.Pkg[103].szPkgBit, MAX_PKGBIT,  "DESK_ERR2");
	NSFPackages.Pkg[104].stLow = PKG_LSCRIPT;
	strcpy_s(NSFPackages.Pkg[104].szPkgBit, MAX_PKGBIT,  "LSCRIPT");
	NSFPackages.Pkg[105].stLow = PKG_LSXUI;
	strcpy_s(NSFPackages.Pkg[105].szPkgBit, MAX_PKGBIT,  "LSXUI");
	NSFPackages.Pkg[106].stLow = PKG_DSGN;
	strcpy_s(NSFPackages.Pkg[106].szPkgBit, MAX_PKGBIT,  "DSGN");
	NSFPackages.Pkg[107].stLow = PKG_SERVER6;
	strcpy_s(NSFPackages.Pkg[107].szPkgBit, MAX_PKGBIT,  "SERVER6");
	NSFPackages.Pkg[108].stLow = PKG_ADMIN_ERR;
	strcpy_s(NSFPackages.Pkg[108].szPkgBit, MAX_PKGBIT,  "ADMIN_ERR");
	NSFPackages.Pkg[109].stLow = PKG_DBD;
	strcpy_s(NSFPackages.Pkg[109].szPkgBit, MAX_PKGBIT,  "DBD");
	NSFPackages.Pkg[110].stLow = PKG_COMPILER7;
	strcpy_s(NSFPackages.Pkg[110].szPkgBit, MAX_PKGBIT,  "COMPILER7");
	NSFPackages.Pkg[111].stLow = PKG_NEWS;
	strcpy_s(NSFPackages.Pkg[111].szPkgBit, MAX_PKGBIT,  "NEWS");
	NSFPackages.Pkg[112].stLow = PKG_IMAIL_EXT;
	strcpy_s(NSFPackages.Pkg[112].szPkgBit, MAX_PKGBIT,  "IMAIL_EXT");
	NSFPackages.Pkg[113].stLow = PKG_DAEMON;
	strcpy_s(NSFPackages.Pkg[113].szPkgBit, MAX_PKGBIT,  "DAEMON");
	NSFPackages.Pkg[114].stLow = PKG_COMPILER8;
	strcpy_s(NSFPackages.Pkg[114].szPkgBit, MAX_PKGBIT,  "COMPILER8");
	NSFPackages.Pkg[115].stLow = PKG_ADDIN;
	strcpy_s(NSFPackages.Pkg[115].szPkgBit, MAX_PKGBIT,  "ADDIN");
	NSFPackages.Pkg[116].stLow = PKG_EDIT_ERR2;
	strcpy_s(NSFPackages.Pkg[116].szPkgBit, MAX_PKGBIT,  "EDIT_ERR2");
	NSFPackages.Pkg[117].stLow = PKG_LSCRIPT2;
	strcpy_s(NSFPackages.Pkg[117].szPkgBit, MAX_PKGBIT,  "LSCRIPT2");
	NSFPackages.Pkg[118].stLow = PKG_ADMIN_ERR3;
	strcpy_s(NSFPackages.Pkg[118].szPkgBit, MAX_PKGBIT,  "ADMIN_ERR3");
	NSFPackages.Pkg[119].stLow = PKG_DSGN2;
	strcpy_s(NSFPackages.Pkg[119].szPkgBit, MAX_PKGBIT,  "DSGN2");
	NSFPackages.Pkg[120].stLow = PKG_GRMISC;
	strcpy_s(NSFPackages.Pkg[120].szPkgBit, MAX_PKGBIT,  "GRMISC");
	NSFPackages.Pkg[121].stLow = PKG_VIMSMI;
	strcpy_s(NSFPackages.Pkg[121].szPkgBit, MAX_PKGBIT,  "VIMSMI");
	NSFPackages.Pkg[122].stLow = PKG_WEB;
	strcpy_s(NSFPackages.Pkg[122].szPkgBit, MAX_PKGBIT,  "WEB");
	NSFPackages.Pkg[123].stLow = PKG_ADDIN2;
	strcpy_s(NSFPackages.Pkg[123].szPkgBit, MAX_PKGBIT,  "ADDIN2");
	NSFPackages.Pkg[124].stLow = PKG_NSF9;
	strcpy_s(NSFPackages.Pkg[124].szPkgBit, MAX_PKGBIT,  "NSF9");
	NSFPackages.Pkg[125].stLow = PKG_DESK_ERR4;
	strcpy_s(NSFPackages.Pkg[125].szPkgBit, MAX_PKGBIT,  "DESK_ERR4");
	NSFPackages.Pkg[126].stLow = PKG_ORB;
	strcpy_s(NSFPackages.Pkg[126].szPkgBit, MAX_PKGBIT,  "ORB");
	NSFPackages.Pkg[127].stLow = PKG_LSXUI5;
	strcpy_s(NSFPackages.Pkg[127].szPkgBit, MAX_PKGBIT,  "LSXUI5");
	NSFPackages.Pkg[128].stLow = PKG_HTTP;
	strcpy_s(NSFPackages.Pkg[128].szPkgBit, MAX_PKGBIT,  "HTTP");
	NSFPackages.Pkg[129].stLow = PKG_POP3;
	strcpy_s(NSFPackages.Pkg[129].szPkgBit, MAX_PKGBIT,  "POP3");
	NSFPackages.Pkg[130].stLow = PKG_MAILMISC;
	strcpy_s(NSFPackages.Pkg[130].szPkgBit, MAX_PKGBIT,  "MAILMISC");
	NSFPackages.Pkg[131].stLow = PKG_SMTP;
	strcpy_s(NSFPackages.Pkg[131].szPkgBit, MAX_PKGBIT,  "SMTP");
	NSFPackages.Pkg[132].stLow = PKG_MAILMISC1;
	strcpy_s(NSFPackages.Pkg[132].szPkgBit, MAX_PKGBIT,  "MAILMISC1");
	NSFPackages.Pkg[133].stLow = PKG_DB2NSF;
	strcpy_s(NSFPackages.Pkg[133].szPkgBit, MAX_PKGBIT,  "DB2NSF");
	NSFPackages.Pkg[134].stLow = PKG_TOOLBAR;
	strcpy_s(NSFPackages.Pkg[134].szPkgBit, MAX_PKGBIT,  "TOOLBAR");
	NSFPackages.Pkg[135].stLow = PKG_OLE_ERR;
	strcpy_s(NSFPackages.Pkg[135].szPkgBit, MAX_PKGBIT,  "OLE_ERR");
	NSFPackages.Pkg[136].stLow = PKG_MISC3;
	strcpy_s(NSFPackages.Pkg[136].szPkgBit, MAX_PKGBIT,  "MISC3");
	NSFPackages.Pkg[137].stLow = PKG_NSF7;
	strcpy_s(NSFPackages.Pkg[137].szPkgBit, MAX_PKGBIT,  "NSF7");
	NSFPackages.Pkg[138].stLow = PKG_NETWORK5;
	strcpy_s(NSFPackages.Pkg[138].szPkgBit, MAX_PKGBIT,  "NETWORK5");
	NSFPackages.Pkg[139].stLow = PKG_DESK_ERR3;
	strcpy_s(NSFPackages.Pkg[139].szPkgBit, MAX_PKGBIT,  "DESK_ERR3");
	NSFPackages.Pkg[140].stLow = PKG_EVENT2;
	strcpy_s(NSFPackages.Pkg[140].szPkgBit, MAX_PKGBIT,  "EVENT2");
	NSFPackages.Pkg[141].stLow = PKG_JAVAWRAP;
	strcpy_s(NSFPackages.Pkg[141].szPkgBit, MAX_PKGBIT,  "JAVAWRAP");
	NSFPackages.Pkg[142].stLow = PKG_ASSISTANT_ERR;
	strcpy_s(NSFPackages.Pkg[142].szPkgBit, MAX_PKGBIT,  "ASSISTANT_ERR");
	NSFPackages.Pkg[143].stLow = PKG_JSWRAP;
	strcpy_s(NSFPackages.Pkg[143].szPkgBit, MAX_PKGBIT,  "JSWRAP");
	NSFPackages.Pkg[144].stLow = PKG_PRINT_ERR;
	strcpy_s(NSFPackages.Pkg[144].szPkgBit, MAX_PKGBIT,  "PRINT_ERR");
	NSFPackages.Pkg[145].stLow = PKG_EDIT_ERR3;
	strcpy_s(NSFPackages.Pkg[145].szPkgBit, MAX_PKGBIT,  "EDIT_ERR3");
	NSFPackages.Pkg[146].stLow = 0x4000;
	strcpy_s(NSFPackages.Pkg[146].szPkgBit, MAX_PKGBIT,  "Invalid");
}

//  Destructor
APIPackages::~APIPackages(void)
{
}

//  GetPackageID
//
//  This function will fill in the package ID for the passed STATUS
//
//  Parameters
//
//  1  -  STATUS		- The code that is to be mapped to package ID
//  2  -  char *		- Pointer to the buffer where the package ID will be placed
//  3  -  int			- Maximum length of the Package ID buffer
//
//  Returns
//
//  Notes:
//
void APIPackages::GetPackageID(STATUS stAPIRC, char *szPkgID, int iMaxLen)
{
	STATUS			stSearch;								//  Status to search for
	int				iIndex;									//  Generic index

	stSearch = ERR(stAPIRC);								//  Make sure that the Remote etc bits are off

	//  Find the next higher index
	iIndex = 0;
	while (NSFPackages.Pkg[iIndex].stLow < stSearch) iIndex++;

	iIndex--;
	stSearch = stSearch - NSFPackages.Pkg[iIndex].stLow;	//  Calculate the number within the package

	//  Generate the Package string PKG_XXXX+nn
	sprintf_s(szPkgID, iMaxLen, "PKG_%s+%i", NSFPackages.Pkg[iIndex].szPkgBit, stSearch);
	return;
}
