#pragma once
//  APIPackages
//
//  This class provides the capability for decoding a Notes API STATUS into a Package Identifier
//
//  Message Identifier:      N/A
//  Message Range:           0000 - 000
//  Trace area assignment:   None
//  DX Version:				 3.11.1
//  Version:                 3.11.1  Build: 99
//
//  Version History:
//
//  3.10.1		15/10/2010		Asynch Transaction Handler added
//  3.11.1		22/10/2011		VS 2011 readiness
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2010 - 2011
//

//  Platform Includes
#include "Platform/PlatBase.h"

//  Notes Includes
#include <global.h>
#include <globerr.h>

//  Application Includes
#include "DXGlobals.h"											//  DX Global Settings

//  Local Definitions
#define	MAX_PKGBIT					16
#define	MAX_PACKAGES				150

//  Structures
typedef struct 
{
	STATUS  stLow;
	char	szPkgBit[MAX_PKGBIT];
} Package;
typedef struct
{
	Package Pkg[MAX_PACKAGES];
} Packages;

class APIPackages
{
public:
	//  Constructor
	APIPackages(void);

	//  Destructor
	~APIPackages(void);

	//  Public Members

	//  Public Functions
	void GetPackageID(STATUS stAPIRC, char *szPkgID, int iMaxLen);				//  Get a Package Identifier

private:
	//  Private Members
	Packages	NSFPackages;													//  NSF Pkg IDs
};
