//  CopyRequest
//
//  This class contains the request data for a DbCopier to copy a single database
//
//  Message Identifier:      DXR
//  Message Range:           5001 - 5499
//  Trace area assignment:   TRACE_DBC (23)
//  DX Version:				 3.14.1
//  Version:                 3.14.1  Build: 109
//
//  Version History:
//
//  3.6.0		20/09/2009		Prepared for QCopy 2.0
//  3.7.5		30/03/2010		Improved Error Handling in DbCopier
//  3.7.7		10/04/2010		Additional recovery options in DbCopier
//  3.10.1		15/10/2010		Asynch Transaction Handler added
//  3.10.3		05/01/2011		Pre-Process steps added to DbCopier
//  3.10.9		10/06/2011		One-Time replication option added
//	3.13.0		20/12/2013		Advanced Target Database Properties
//	3.14.1		28/01/2015		Recompress attachments optional
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2009 - 2015
//

//  Application Includes

#include "CopyRequest.h"

CopyRequest::CopyRequest(void)
: dwDataDocsCopied(0)
, dwDataStubsCopied(0)
, dwDataAccessErrors(0)
, dwDataOtherErrors(0)
, dwDataRetries(0)
, dwDesignDocsCopied(0)
, dwDesignStubsCopied(0)
, dwDesignAccessErrors(0)
, dwDesignOtherErrors(0)
, dwDesignRetries(0)
, dwCopyPhaseElapsed(0)
, dwSizeKB(0)
, dwFoldersCopied(0)
, dwFolderDocs(0)
, dwFolderPhaseElapsed(0)
, dwDesignPhaseElapsed(0)
, dwAgentPhaseElapsed(0)
, dwIndexPhaseElapsed(0)
, dwReplPhaseElapsed(0)
, dwTotalElapsed(0)
, dwNotesRecom(0)
, dwFilesRecom(0)
, dwKBSaved(0)
, AllowRetry(FALSE)
, PreProcessActions(0)
{
}

CopyRequest::~CopyRequest(void)
{
}

