//  MoveRequest
//
//  This class contains the transaction data for a DbMover execution
//
//  Message Identifier:      DXR
//  Message Range:           6000 - 6499
//  Trace area assignment:   None
//  DX Version:				 3.14.0
//  Version:                 3.14.0  Build: 108
//
//  Version History:
//
//  3.6.2		14/11/2009		Re-based on DX version 3.6.2
//  3.6.3		19/12/2009		Updates to support additional ops for QMove 1.1.0
//  3.10.2		15/11/2010		Suppport for MTIO copying added
//  3.14.0		21/01/2015		x64 compatability fixes
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2009 - 2015
//

//  Application Includes

#include "MoveRequest.h"

MoveRequest::MoveRequest(void)
: PermitRun(FALSE)
, CopyBfrKb(DEFAULT_COPYBFR_SIZE)
, dwDataDocsCopied(0)
, dwTotalElapsed(0)
, dwSizeKB(0)
, UseLFC(TRUE)
, ArenaSize(1)
{
}

MoveRequest::~MoveRequest(void)
{
}
