//  PartMoveRequest
//
//  This class is used to communicate partial database copy requests between the threads in the
//  database mover class.
//
//  Message Identifier:      DXR
//  Message Range:           6001 - 6499
//  Trace area assignment:   None
//  DX Version:				 3.10.2
//  Version:                 3.10.2  Build: 82
//
//  Version History:
//
//  3.10.2		15/11/2010		Initial Version
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2010
//

//  Application Includes
#include "PartMoveRequest.h"

PartMoveRequest::PartMoveRequest(MoveRequest *mrOriginator)
: MoveAction(0)
, CompletionStatus(0)
, dbmMover(NULL)
#ifdef WIN32
, hfNativeSource(NULLHANDLE)
, hfNativeTarget(NULLHANDLE)
, dwSourceAccess(0)
, dwSourceSharing(0)
, dwTargetAccess(0)
, dwTargetSharing(0)
, szIn(NULL)
, szOut(NULL)
#endif
#ifdef UNIX
, fNativeSource(NULL)
, fNativeTarget(NULL)
, iSourceFlags(0)
, iTargetFlags(0)
#endif
, ArenaNo(0)
, ArenaSizeKb(0)
, ArenaOffsetHi(0)
, ArenaOffsetLo(0)
{
	//  Constructor
	Parent = mrOriginator;
}

PartMoveRequest::~PartMoveRequest(void)
{
	//  Destructor
}


