#pragma once
//  DesignManager for DX based applications
//
//  The DesignElement class provides the container for information about a single design el;ement
//
//  Message Identifier:      DXR
//  Message Range:           5500 - 5999
//  Trace area assignment:   TRACE_DM (24)
//  DX Version:				 3.10.9
//  Version:                 2.1.0  Build: 115
//
//  Version History:
//
//  20/06/2011		-  2.1.0		-  Tidy up for unix
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2001-2009
//

//  Platform Includes
#include	"../Platform/PlatBase.h"
#include	"../Platform/NotesBase.h"

//  Local definitions
#define			MAX_DM_ELEMENT		60						//  Max element name size
#define			MAX_DM_UNID			32						//  Max element unid size
#define			MAX_DM_URL			256						//  Max URL size

//  XML Design Element Options
#define			DE_OPTION_SIGN_ELEMENT			0x0001
#define			DE_OPTION_REQ_MATCH				0x0002

//  Class Definition
class DesignElement
{
public:
	//  Default Constructor
	DesignElement(void);

	//  Destructor
	~DesignElement(void);

	//  Public members
	char ElementName[MAX_DM_ELEMENT + 1];					//  Design Element Name
	char ElementUNID[MAX_DM_UNID + 1];						//  Design Element UNID
	char DesignURL[MAX_DM_URL + 1];							//  URL for the design element source
	UINT ElementType;										//  Type for this element
	UINT DesignOptions;										//  Design Options
};
