#include "DesignManifest.h"

//  The DesignManifest class provides storage for data relating to a single design manifest
//
//  Message Identifier:      DXR
//  Message Range:           5500 - 5999
//  Trace area assignment:   TRACE_DM (24)
//  DX Version:				 3.10.0
//  Version:                 2.1.0  Build: 115
//
//  Version History:
//
//  20/06/2011		-  2.1.0		-  Tidy up for unix
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2001 - 2011
//

//  Constructor
DesignManifest::DesignManifest(void)
{
	int			iIndex;
	//  Initialise the DesignSet Array
	ManifestName[0] = '\0';
	ManifestVersion[0] = '\0';
	for (iIndex = 0; iIndex < MAX_DM_SETS; iIndex++)
	{
		dsList[iIndex] = (DesignSet *) NULL;
	}
}

//  Destructor
DesignManifest::~DesignManifest(void)
{
	int			iIndex;
	//  Destroy any DesignSets in the Array
	for (iIndex = 0; iIndex < MAX_DM_SETS; iIndex++)
	{
		if (dsList[iIndex] != (DesignSet *) NULL)
		{
			delete dsList[iIndex];
			dsList[iIndex] = (DesignSet *) NULL;
		}
	}
}
