#pragma once
//  DesignManager for DX based applications
//
//  The DesignManifest class provides storage for data relating to a single design manifest
//
//  Message Identifier:      DXR
//  Message Range:           5500 - 5999
//  Trace area assignment:   TRACE_DM (24)
//  DX Version:				 3.10.9
//  Version:                 2.1.0  Build: 115
//
//  Version History:
//
//  20/06/2011		-  2.1.0		-  Tidy up for unix
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2001 - 2011
//

//  Application Includes
#include "DesignSet.h"
#include "../Platform/PlatBase.h"

//  Local Definitions
#define				MAX_DM_SETS			256			//  Maximum number of design sets in this manifest
#define				MAX_DM_MANIFEST		60			//  Max size of manifest name
#define				MAX_DM_VERSION		30			//  Max size of the manifest version

class DesignManifest
{
public:
	//  Default constructor
	DesignManifest(void);

	//  Destructor
	~DesignManifest(void);

	//  Public mmbers
	char  ManifestName[MAX_DM_MANIFEST + 1];			//  Design Manifest name
	DesignSet *dsList[MAX_DM_SETS];						//  Design Sets in this set
	char ManifestVersion[MAX_DM_VERSION + 1];			//  Design Manifest version
};
