//  DesignManager for DX based applications
//
//  The DesignSet class provides storage for data relating to a single design set
//
//  Message Identifier:      DXR
//  Message Range:           5500 - 5999
//  Trace area assignment:   TRACE_DM (24)
//  DX Version:				 3.10.9
//  Version:                 2.1.0  Build: 115
//
//  Version History:
//
//  20/06/2011		-  2.1.0		-  Tidy up for unix
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2001 - 2011
//

//  Application Includes
#include "DesignSet.h"

//  Constructor
DesignSet::DesignSet(void)
{
	int			iIndex;
	//  Initialise the Element Array
	SetName[0] = '\0';
	for (iIndex = 0; iIndex < MAX_DM_ELEMENTS; iIndex++)
	{
		deList[iIndex] = (DesignElement *) NULL;
	}
}

//  Destructor
DesignSet::~DesignSet(void)
{
	int			iIndex;
	//  Delete any Elements in the array
	for (iIndex = 0; iIndex < MAX_DM_ELEMENTS; iIndex++)
	{
		if (deList[iIndex] != (DesignElement *) NULL)
		{
			delete deList[iIndex];
			deList[iIndex] = (DesignElement *) NULL;
		}
	}
}
