#pragma once
//  DesignManager for DX based applications
//
//  The DesignSet class provides storage for data relating to a single design set
//
//  Message Identifier:      DXR
//  Message Range:           5500 - 5999
//  Trace area assignment:   TRACE_DM (24)
//  DX Version:				 3.10.9
//  Version:                 2.1.0  Build: 115
//
//  Version History:
//
//  20/06/2011		-  2.1.0		-  Tidy up for unix
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2001 - 2011
//

//  Application Includes
#include "DesignElement.h"
#include "../Platform/PlatBase.h"

//  Local Definitions
#define			MAX_DM_ELEMENTS		256					//  Maximum number of design elements per set
#define			MAX_DM_SET			60					//  Max set name size

class DesignSet
{
public:
	//  Default constructor
	DesignSet(void);

	//  Destructor
	~DesignSet(void);

	//  Public mmbers
	char  SetName[MAX_DM_SET + 1];						//  Design Set name
	DesignElement *deList[MAX_DM_ELEMENTS];				//  Design elements in this set
};
