//  DXFilter
//
//  This is the base class that is extended to build any Domino eXplorer Filters
//
//  Message Identifier:      
//  Message Range:           
//  Trace area assignment:   
//  DX Version:				 3.10.3
//  Version:                 3.10.3  Build: 84
//
//  Version History:
//
//  1.0.0		14/09/2004		Initial version
//  3.5.3		21/08/2209		Re-based ready for 4.0.0
//  3.10.0		01/10/2010		Wildcard & multi-thread execution added to DX processing
//								DXNoteScanner incorporated in kernel
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2004-2010
//

#include "DXFilter.h"

//  Default Constructor
DXFilter::DXFilter(void)
: xeLocal(NULL)
{
}

//  Constructor that inherits the execution environment
DXFilter::DXFilter(ExecEnvironment *xeParent)
: xeLocal(NULL)
{
}

//  Destructor
DXFilter::~DXFilter(void)
{
}

//  FilterThisDomain
//
//  This interface defines the function signature for a filter at the Domain level
//
//  Parameters
//  1  -  DXRequest *		-  Pointer to a DXRequest object that defines the eXplorer search scope and constraints
//  2  -  int				-  ID of the invoking Thread
//
//  Returns
//  BOOL  -			TRUE if the Domain Request is to be processed
//                  FALSE if the Domain Request is not to be processed
//
//  API Use Notes:
//
//

BOOL DXFilter::FilterThisDomain(DXRequest *dxrRQ, int iThreadID)
{
	return TRUE;
}

//  FilterThisServer
//
//  This interface defines the function signature for a filter at the Server level
//
//  Parameters
//  1  -  DXRequest *		-  Pointer to a DXRequest object that defines the eXplorer search scope and constraints
//  2  -  int				-  ID of the invoking Thread
//
//  Returns
//  BOOL  -			TRUE if the Server Request is to be processed
//                  FALSE if the Server Request is not to be processed
//
//  API Use Notes:
//
//

BOOL DXFilter::FilterThisServer(DXRequest *dxrRQ, int iThreadID)
{
	return TRUE;
}

//  FilterThisDirectory
//
//  This interface defines the function signature for a filter at the Directory level
//
//  Parameters
//  1  -  DXRequest *		-  Pointer to a DXRequest object that defines the eXplorer search scope and constraints
//  2  -  int				-  ID of the invoking Thread
//
//  Returns
//  BOOL  -			TRUE if the Domain Request is to be processed
//                  FALSE if the Domain Request is not to be processed
//
//  API Use Notes:
//
//

BOOL DXFilter::FilterThisDirectory(DXRequest *dxrRQ, int iThreadID)
{
	return TRUE;
}

//  FilterThisDatabase
//
//  This interface defines the function signature for a filter at the Database level
//
//  Parameters
//  1  -  DXRequest *		-  Pointer to a DXRequest object that defines the eXplorer search scope and constraints
//  2  -  int				-  ID of the invoking Thread
//
//  Returns
//  BOOL  -			TRUE if the Database Request is to be processed
//                  FALSE if the Database Request is not to be processed
//
//  API Use Notes:
//
//

BOOL DXFilter::FilterThisDatabase(DXRequest *dxrRQ, int iThreadID)
{
	return TRUE;
}

