//  DXNoteScanReq
//
//  This class contains the transaction data for a DXNoteScanner execution
//
//  Message Identifier:      DXR
//  Message Range:           1801 - 1899
//  Trace area assignment:   TRACE_DBSCAN (28)
//  DX Version:				 3.10.0
//  Version:                 3.10.0  Build: 80
//
//  Version History:
//
//  1.0.0		14/09/2004		Initial version
//  3.5.3		21/08/2009		Re-based ready for 4.0.0
//  3.9.2		22/09/2010		Avoided a recursion in DX processing
//  3.10.0		01/10/2010		Wildcard & multi-thread execution added to DX processing
//								DXNoteScanner incorporated in kernel
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2001 - 2010
//

#include "DXNoteScanReq.h"

DXNoteScanReq::DXNoteScanReq(DXNoteScanTable *nstToUse, int iThreadID)
{
	//  Constructor
	OwningThread = iThreadID;
	dwMaxErrors = 0;
	szServer[0] = '\0';
	szDbPath[0] = '\0';
	hdbToScan = NULLHANDLE;
	iReturnCode = 0;
	dwNotesToScan = 0;
	dwNotesScanned = 0;
	dwErrors = 0;
	dwElapsed = 0;
	nsObject = nstToUse;
}

DXNoteScanReq::~DXNoteScanReq(void)
{
	//  Destructor
}
