//  DXPartNoteScanReq
//
//  This class is used to communicate partial database scan requests between the threads in the
//  DXNoteScanner class.
//
//  Message Identifier:      DXR
//  Message Range:           1801 - 1899
//  Trace area assignment:   TRACE_DBSCAN (28)
//  DX Version:				 3.10.0
//  Version:                 3.10.0  Build: 80
//
//  Version History:
//
//  1.0.0		14/09/2004		Initial version
//  3.5.3		21/08/2009		Re-based ready for 4.0.0
//  3.9.2		22/09/2010		Avoided a recursion in DX processing
//  3.10.0		01/10/2010		Wildcard & multi-thread execution added to DX processing
//								DXNoteScanner incorporated in kernel
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2001 - 2010
//

#include "DXPartNoteScanReq.h"

DXPartNoteScanReq::DXPartNoteScanReq(DXNoteScanReq *nsrOriginator)
{
	//  Constructor
	int	iIndex;
	int iIndexY;

	nsrParent = nsrOriginator;
	iScanAction = REQ_SCAN_FREED;
	iErrors = 0;
	iNotesToScan = 0;
	iNotesScanned = 0;

	//  Initialize array of noteids
	for (iIndex = 0; iIndex < SCAN_NOTE_MULTIPLEX; iIndex++)
	{
		nidToScan[iIndex] = 0;
	}

	//  Initialize array of results
	for (iIndex = 0; iIndex < MAX_SEARCH_ENTRIES; iIndex++)
	{
		for (iIndexY = 0; iIndexY < SCAN_NOTE_MULTIPLEX; iIndexY++)
		{
			nidResults[iIndex][iIndexY] = 0;
		}
	}

	//  Initialize array of added counters
	for (iIndex = 0; iIndex < MAX_SEARCH_ENTRIES; iIndex++)
	{
		iAdded[iIndex] = 0;
	}

}

DXPartNoteScanReq::~DXPartNoteScanReq(void)
{
	//  Destructor
}
