#pragma once
//  DXPartNoteScanReq
//
//  This class is used to communicate partial database scan requests between the threads in the
//  DXNoteScanner class.
//
//  Message Identifier:      DXR
//  Message Range:           1801 - 1899
//  Trace area assignment:   TRACE_DBSCAN (28)
//  DX Version:				 3.10.0
//  Version:                 3.10.0  Build: 80
//
//  Version History:
//
//  1.0.0		14/09/2004		Initial version
//  3.5.3		21/08/2009		Re-based ready for 4.0.0
//  3.9.2		22/09/2010		Avoided a recursion in DX processing
//  3.10.0		01/10/2010		Wildcard & multi-thread execution added to DX processing
//								DXNoteScanner incorporated in kernel
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2001 - 2010
//

//  Application Includes
#include	"DXNoteScanReq.h"							//  Main DXNoteScanReq class

//  Local Constants
#define			SCAN_NOTE_MULTIPLEX		25				//  Batch size for note scan operations
#define			REQ_SCAN_DATA_NOTES		1				//  Scan data notes				
#define			REQ_SCAN_FREED			-1				//  Mark the req object as freed

class DXPartNoteScanReq
{
public:
	//  Constructor
	DXPartNoteScanReq(DXNoteScanReq *nsrOriginator);

	//  Destructor
	~DXPartNoteScanReq(void);

	//  Public Members
	DXNoteScanReq	*nsrParent;								//  Parent DXNoteScan Request
	int				iScanAction;							//  Scan action to perform
	int				iErrors;								//  Number of errors during scan
	int				iNotesToScan;							//  Actual number of notes in array to scan
	int				iNotesScanned;							//  Number of notes scanned
	NOTEID			nidToScan[SCAN_NOTE_MULTIPLEX];			//  Array of NoteIDs to scan
	NOTEID			nidResults[MAX_SEARCH_ENTRIES][SCAN_NOTE_MULTIPLEX]; //  Array of results
	int				iAdded[MAX_SEARCH_ENTRIES];				//  Number added to each search entry

	//  Public Functions

private:
	//  Private Members

	//  Private Functions

protected:
	//  Protected Members

	//  Protected Functions

};
