#pragma once
//  DXException
//
//  This class encapsulates exception information in the Domino eXplorer framework
//
//  Message Identifier:      
//  Message Range:           
//  Trace area assignment:   
//  DX Version:				 3.10.0
//  Version:                 3.10.0  Build: 80
//
//  Version History:
//
//  3.1.1		03/02/2009		Re-based ready for 4.0.0
//  3.10.0		01/10/2010		Wildcard & multi-thread execution added to DX processing
//								DXNoteScanner incorporated in kernel
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2004 - 2010
//

//  Application Includes

#include "DXGlobals.h"

class DXException
{
public:
	//  Default Constructor

	DXException(void);

	//  Default Destructor

	~DXException(void);

	//  Public Members

	int ExceptionType;								//  Type of Exception
	int ExceptionCode;								//  Identifier for the particular exception
	int LineNumber;									//  Line number where the exception happened
	int FaultingThread;								//  Faulting thread ID
	bool IsPercolated;								//  This exception has been percolated
	bool DestroyContext;							//  Destroy the throwing (and lower level) context

	char DXExceptionMessage[MAX_MSG + 1];			//  Global exception message
	char LocalExceptionMessage[MAX_MSG + 1];		//  Local exception message
	char OriginatingFunction[MAX_MSG + 1];			//  Originating function
};
