//  DXGlobals.h
//
//  Domino eXplorer:  Global Definitions
//
//  DX version: 3.13.0

//  Global Constants
#define		MAX_MSG						512			//  Maximum message size
#define		MAX_DOMAIN					256			//  Maximum Domain name
#define		MAX_SERVER					256			//  Max Server name
#define		MAX_DIRECTORY				256			//  Max Directory name
#define		MAX_DATABASE				256			//  Max Database name
#define		MAX_TEMPLATE				256			//  Max Template name
#define		MAX_ELEMENT					256			//  Max Design Element name
#define		MAX_GROUP					256			//  Max Group Name
#define		MAX_DESC					50			//  Max description string
#define		MAX_FLAGS					50			//  Max size of design flags
#define		MAX_FLAG					256			//  Max size of a program switch
#define		MAX_REPID					40			//  Max size for formatted Replica ID
#define		MAX_STASH					256			//  Max number of server stash entries
#define		MAX_URL						256			//  Max size of a URL
#define		MAX_NODE					128			//  Max size of an XML Node Name
#define		MAX_ATTRIBUTE				256			//  Max size of an XML Attribute
#define		MAX_ROLE					50			//  Max for a Role Name
#define		MAX_BUILD					50			//  Max build info size
#define		MAXAPPNAME					30			//  Max Application Name
#define		MAXAPPTITLE					50			//  Max Applictaion Title
#define		MAXAPPVERSION				40			//  Max Applictaion Version
#define		MAX_CMD						256			//  Max size of a tell command string
#define		MAX_STATUS					128			//  Max size of a status message
#define		MAX_QUEUE					128			//  Max Message Queue name
#define		MAX_IDENTITY				256			//  Max length of an Identity

//  Logging Settings

//  Logging Levels
#define		LOGLEVEL_DEBUG				50			//  Full debugging
#define		LOGLEVEL_TRACE				40			//  Include detailed functional tracing
#define		LOGLEVEL_VERBOSE			30			//  Include additional functional messages
#define		LOGLEVEL_NORMAL				20			//  Normal message level
#define		LOGLEVEL_TERSE				10			//  Only report important messages

//  Logging State
#define		LOGSTATE_NOTOPEN			10			//  Log not yet open
#define		LOGSTATE_CLOSED				20			//  Log has been closed
#define		LOGSTATE_ACTIVE				30			//  Log is active
#define		LOGSTATE_SWITCH_ASYNCH		40			//  Switch to the Asynch logger
#define		LOGSTATE_ASYNCH				50			//  Asynch logger is active
#define		LOGSTATE_SWITCH_SYNCH		60			//  Switch back to the synchronous logger

//  Logging Constants
#define		LOGLINES_MAX				100			//  Max log lines per document

//  Field Names & Constant values for Event Style logging
#define		LOG_FORM_NAME				"Events"
#define		LOG_FORM_SERVER				"Server"
#define		LOG_START_TIME				"StartTime"
#define		LOG_FINISH_TIME				"FinishTime"
#define		LOG_EVENT_LIST				"EventList"

//  Log Message formats
#define		LOG_API_MSG					"API ERROR: %s (0x%.4X - %s), means: %s"

//  Log Message Semaphore values
#define		LOG_SEM_FREE				-1			//  Semaphore is free

//  Request Dispatch Semaphore values
#define		REQ_SEM_FREE				-1			//  Semaphore is free

//  Rejoin Semaphore values
#define		REJ_SEM_FREE				-1			//  Semaphore is free

//  Rejoin Poll Semaphore values
#define		REJPOLL_SEM_FREE			-1			//  Semaphore is free

//  Rejoin request return codes
#define		RJR_RETURNED				0			//  A request was available and returned
#define		RJR_NONE_READY				4			//  No requests are ready
#define		RJR_NONE_EXIST				8			//  No requests exist

//  Control & management thread IDs
#define		CONTROL_THREAD_ID			0			//  Thread ID of the controller i.e. the root thread of the process
#define		MONITOR_THREAD_ID			500			//  Thread ID of the monitor
#define		SCHEDULER_THREAD_ID			600			//  Thread ID of the scheduler
#define		DISPATCHER_THREAD_ID		700			//  Thread ID of the dispatcher

//  Constrained Multi-Level (Lane) Scheduling (CMLS) - Recommendation Values
#define		CMLS_LANE_FULL				8			//  The requested lane is currently full
#define		CMLS_LANE_AVAILABLE			4			//  The requested lane can be entered
#define		CMLS_LANE_AVAILABLE_NOW		2			//  The requested lane can be entered for immediate execution

//  Explorer Request Scope
#define		RSCOPE_UNIVERSE				16			//  Scope is everything that can be located
#define		RSCOPE_DOMAIN				8			//  Scope is the specified Domain
#define		RSCOPE_SERVER				4			//  Scope is the specified Server
#define		RSCOPE_DIRECTORY			2			//  Scope is the specified Directory
#define		RSCOPE_DATABASE				1			//  Scope is the specified Database
#define		RSCOPE_NONE					0			//  Scope has not been determined

//  Explorer Request Wildcards
#define		WILDCARD_DOMAIN				8			//  Wildcards(s) in the specified Domain
#define		WILDCARD_SERVER				4			//  Wildcards(s) in the specified Server
#define		WILDCARD_DIRECTORY			2			//  Wildcards(s) in the specified Directory
#define		WILDCARD_DATABASE			1			//  Wildcards(s) in the specified Database
#define		WILDCARD_NONE				0			//  No wildcards were specified

//  Error types
#define		ERRORTYPE_NOTESAPI			1			//  API Error
#define		ERRORTYPE_CONTEXT			2			//  Invalid context
#define		ERRORTYPE_LOGIC				3			//  Logic error
#define		ERRORTYPE_SNO				4			//  Should Not Occur
#define		ERRORTYPE_UHX				5			//  Unhandled Exception
#define		ERRORTYPE_FAIL				6			//  Failed function

//  Error Codes
#define		ERRORCODE_BAD_SCOPE			100			//  Context is invalid for requested scope
#define		ERRORCODE_NON_SPEC			101			//  Non-specific error
#define		ERRORCODE_NOT_DIR			102			//  Entity is not a directory as expected
#define		ERRORCODE_ITM_PARSE			103			//  Unable to parse an item
#define		ERRORCODE_CANT_OPEN			104			//  Unable to open a critical resource
#define		ERRORCODE_INV_OBJ			105			//  Invalid object state

//  Request Return Code
#define		RETURN_NOERROR				0			//  No errors encountered
#define		RETURN_CWARN				4			//  Completed but with warnings
#define		RETURN_CERR					8			//  Completed but with errors
#define		RETURN_INCOMPLETE			16			//  Scan was not completed
#define		RETURN_STASHED				32			//  Request is stashed
#define		RETURN_REDRIVE_ASYNCH		64			//  Redrive this request asynchronously
#define		RETURN_RQ_REJECTED			128			//  Request has been rejected
#define		RETURN_NOTSTARTED			256			//  Request has not been started
#define		RETURN_RECURSION			512			//  Request was terminated by a recursion

//  Scanners - identification bits
#define		SCANNER_UNIVERSE			0x80000000	//  Universal (spider) scanner
#define		SCANNER_DOMAIN				0x40000000	//  Domain scanner
#define		SCANNER_SERVER				0x20000000	//  Server scanner
#define		SCANNER_DIRECTORY			0x10000000	//  Directory scanner
#define		SCANNER_DATABASE			0x08000000	//  Database scanner

//  Reporters to be invoked
#define		DXREP_UNIVERSE				0x80000000	//  Universal (spider) custom reporter
#define		DXREP_DOMAIN				0x40000000	//  Domain custom reporter
#define		DXREP_SERVER				0x20000000	//  Server custom reporter
#define		DXREP_DIRECTORY				0x10000000	//  Directory custom reporter
#define		DXREP_DATABASE				0x08000000	//  Database custom reporter

//  Filters to be invoked
#define		FILTER_UNIVERSE				0x80000000	//  Universal (spider) custom filter
#define		FILTER_DOMAIN				0x40000000	//  Domain custom filter
#define		FILTER_SERVER				0x20000000	//  Server custom filter
#define		FILTER_DIRECTORY			0x10000000	//  Directory custom filter
#define		FILTER_DATABASE				0x08000000	//  Database custom filter

//  Application Mutexes
#define		APP_MUTEX_1					0			//  1st entry in the array
#define		APP_MUTEX_2					1			//  Next entry in the array
#define		APP_MUTEX_3					2			//  Next entry in the array
#define		APP_MUTEX_4					3			//  Next entry in the array
#define		APP_MUTEX_5					4			//  Next entry in the array
#define		APP_MUTEX_6					5			//  Next entry in the array
#define		APP_MUTEX_7					6			//  Next entry in the array
#define		APP_MUTEX_8					7			//  Next entry in the array
#define		APP_MUTEX_9					8			//  Next entry in the array
#define		APP_MUTEX_10				9			//  Next entry in the array

//  Trace Area Definitions
#define		TRACE_ALL					0			//  Trace All Areas
#define		TRACE_CORERT				01			//  Trace Core Run Time
#define		TRACE_MT					02			//  Trace Multi-Threaded support
#define		TRACE_MTD					03			//  Trace Multi-Threaded dispatcher
#define		TRACE_MRQ					04			//  Trace Multi-Threaded requests
#define		TRACE_EXPLORER				05			//  Trace Domino Explorer execution
#define		TRACE_CMLS					06			//  Trace Constrained Multi Lane Scheduling
#define		TRACE_TXH					07			//  Trace Transaction Handler
#define		TRACE_RESOURCELOADER		20			//  Trace the Resource Loader
#define		TRACE_ACLRSPARSER			21			//  Trace ACL Rule Set Parsing
#define		TRACE_ACLRULESET			22			//  Trace ACL Rule Set activities
#define		TRACE_DBC					23			//  Trace Database Copier
#define		TRACE_DM					24			//  Trace Design Manager
#define		TRACE_DBM					25			//  Trace Database Mover
#define		TRACE_DBSCAN				28			//  Trace Database Scanner
#define		TRACE_DBPMOD				29			//  Trace Database Property Modifier
#define		TRACE_NER					30			//  Trace Named Entity Resolver
#define		TRACE_ATT					31			//  Trace Attachment Processing
#define		TRACE_APP					255			//  Trace Application

//  Dump Scope Definitions
#define		DUMP_ALL					1			//  Dump all CBs
#define		DUMP_THREADS				2			//  Dump only Thread Data
#define		DUMP_POOLS					3			//  Dump Request Pools
#define		DUMP_DBHT					4			//  Dump DB Handle table

//  Stats Display Modifiers
#define		STATS_DEBUG					1			//  Show more stats
#define		STATS_THREAD				2			//  Show stats at the per thread level

//  DX Specific Types
#define		DXRESOURCEHANDLE			void *		//  DXResource Handle

