#pragma once
//  DXUploadContext
//
//  This class is used to hold information needed for uploading a file via the Resource Loader.
//
//  Message Identifier:      N/A
//  Message Range:           N/A
//  Trace area assignment:   N/A
//  Version:                 3.10.6			Build:  87
//
//  Version History:
//
//  3.10.6		19/03/2011		Initial Version
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2011
//

//  Platform Includes
#include	"Platform/PlatBase.h"							//  Base includes

//  Runtime Includes
#include	"DXGlobals.h"									//  Global Definitions
#include	"DXUCItem.h"									//  Upload context item

//  File/Stream types
#define		UPLOAD_FILE_TEXT			1					//  text/plain
#define		UPLOAD_FILE_XML				2					//  text/xml
#define		UPLOAD_FILE_BINARY			3					//  application/octet-stream

class DXUploadContext
{
public:
	//  Constructor
	DXUploadContext(void);

	//  Destructor
	~DXUploadContext(void);

	//  Public Members
    char			szFormURL[MAX_URL + 1];					//  URL of the target form
    char			szSubmitAction[MAX_DESC + 1];			//  Action name for submit button on form
    char			szFileName[MAX_URL + 1];				//  File name
    DXUCItem		*pFirstItem;							//  Pointer to the first item for uploading
};
