#pragma once
//  ElapsedTimer
//
//  This class provides a means of deriving elapsed real (Wall Clock) times.
//  Calls to the getElapsed() function will return the number of "Ticks" since the object was created.
//  Calls to the getElapsedMillis() function will return the number of milliseconds since the object was created.
//  ExecEnvironment implements a default ElapsedTimer (->RunningTime).
//
//  Message Identifier:      N/A
//  Message Range:           0000 - 0000
//  Trace area assignment:   N/A
//  DX Version:				 3.11.6
//  Version:                 3.11.6  Build: 104
//
//  Version History:
//
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2010 - 2011
//

//  Platform Includes
#include "Platform/PlatBase.h"

class ElapsedTimer
{
public:
	//  Constructor
	ElapsedTimer(void);

	//  Destructor
	~ElapsedTimer(void);

	//  Public Members

	//  Public Functions
	clock_t getElapsed(void);						//  Get elapsed time since the object was created
	clock_t getElapsedMillis(void);					//  Get elapsed time since the object was created in milliseconds

private:
#ifdef WIN32
	clock_t StartTime;								//  Start Time Value
#endif
#ifdef UNIX
	timeval StartTime;								//  Start Time Value
#endif
};

