#pragma once
//  DXFilter
//
//  This is the base class that is extended to build any Domino eXplorer Filters
//
//  Message Identifier:      
//  Message Range:           
//  Trace area assignment:   
//  DX Version:				 3.11.1
//  Version:                 3.11.1  Build: 99
//
//  Version History:
//
//  1.0.0		14/09/2004		Initial version
//  3.5.3		21/08/2209		Re-based ready for 4.0.0
//  3.10.0		01/10/2010		Wildcard & multi-thread execution added to DX processing
//								DXNoteScanner incorporated in kernel
//  3.11.1		22/10/2011		VS 2011 Updates
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2004 - 2011
//

//  Application Includes
#include "DXRequest.h"

//  Local Definitions

//  Error Messages

class DXFilter
{
public:
	//  Default Constructor
	DXFilter(void);

	//  Constructor with Execution Environment
	DXFilter(ExecEnvironment *xeParent);

	//  Virtual destructor - this must be implemented in all inheriting classes
	virtual ~DXFilter(void);

	//  Public virtual funcions - implemented in the inheriting classes
	virtual BOOL FilterThisDomain(DXRequest *dxrRQ, int iThreadID);			//  Filter Domain Requests
	virtual BOOL FilterThisServer(DXRequest *dxrRQ, int iThreadID);			//  Filter Server Requests
	virtual BOOL FilterThisDirectory(DXRequest *dxrRQ, int iThreadID);		//  Filter Directory Requests
	virtual BOOL FilterThisDatabase(DXRequest *dxrRQ, int iThreadID);		//  Filter D/B Requests

	//  Public Functions

	//  Public Members
	ExecEnvironment *xeLocal;							//  Execution Environment

	//  Statistics

private:
	//  Private Functions
};
