//  DXNoteScanReq
//
//  This class contains the transaction data for a DXNoteScanner execution
//
//  Message Identifier:      DXR
//  Message Range:           1801 - 1899
//  Trace area assignment:   TRACE_DBSCAN (28)
//  DX Version:				 3.10.0
//  Version:                 3.10.0  Build: 80
//
//  Version History:
//
//  3.10.0		01/10/2010		Wildcard & multi-thread execution added to DX processing
//								DXNoteScanner incorporated in kernel
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2001-2010
//

#include "DXNoteScanReq.h"

DXNoteScanReq::DXNoteScanReq(DXNoteScanTable *nstToUse, int iThreadID)
{
	int					iIndex;

	//  Constructor
	OwningThread = iThreadID;
	bUseMTScanner = FALSE;
	dwMaxErrors = 0;
	szServer[0] = '\0';
	szDbPath[0] = '\0';
	hdbToScan = NULLHANDLE;
	iReturnCode = 0;
	dwNotesToScan = 0;
	dwNotesScanned = 0;
	dwErrors = 0;
	dwElapsed = 0;
	nsObject = nstToUse;
	hitNotesToScan = NULLHANDLE;
	dwNotesInserted = 0;
	bDbLocallyOpened = FALSE;
	dwGlobalScanFlags = 0;
	wGlobalNoteClasses = 0;
	BaseRQPriority = DEFAULT_SUBRQ_PRIORITY;

	//  Initialize internal formula data structure
	for (iIndex = 0; iIndex < MAX_SEARCH_ENTRIES; iIndex ++)
	{
		nsieTable[iIndex].szSearchString[0] = '\0';
		nsieTable[iIndex].hfSearch = NULLHANDLE;
		nsieTable[iIndex].phfSearch = NULL;
		nsieTable[iIndex].hcSearch = NULL;
	}
}

DXNoteScanReq::~DXNoteScanReq(void)
{
	//  Destroy internal base IDTable if required
	if (hitNotesToScan != NULLHANDLE)
	{
		IDDestroyTable(hitNotesToScan);
		hitNotesToScan = NULLHANDLE;
	}
}
