//  DXPartNoteScanReq
//
//  This class is used to communicate partial database scan requests between the threads in the
//  DXNoteScanner class.
//
//  Message Identifier:      DXR
//  Message Range:           1801 - 1899
//  Trace area assignment:   TRACE_DBSCAN (28)
//  DX Version:				 3.10.11
//  Version:                 3.10.11  Build: 96
//
//  Version History:
//
//  1.0.0		07/07/2010		Initial version
//  1.0.4		19/07/2010
//  3.10.11		20/07/2011		Multiplexor scaling added to NoteScanner
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2001-2011
//

#include "DXPartNoteScanReq.h"

DXPartNoteScanReq::DXPartNoteScanReq(DXNoteScanReq *nsrOriginator)
{
	//  Constructor
	int	iIndex;
	int iIndexY;

	nsrParent = nsrOriginator;
	iScanAction = REQ_SCAN_FREED;
	iErrors = 0;
	iNotesToScan = 0;
	iNotesScanned = 0;

	//  Initialize array of noteids
	for (iIndex = 0; iIndex < SCAN_NOTE_MULTIPLEX; iIndex++)
	{
		nidToScan[iIndex] = 0;
	}

	//  Initialize array of results
	for (iIndex = 0; iIndex < MAX_SEARCH_ENTRIES; iIndex++)
	{
		for (iIndexY = 0; iIndexY < SCAN_NOTE_MULTIPLEX; iIndexY++)
		{
			nidResults[iIndex][iIndexY] = 0;
		}
	}

	//  Initialize array of added counters
	for (iIndex = 0; iIndex < MAX_SEARCH_ENTRIES; iIndex++)
	{
		iAdded[iIndex] = 0;
	}

}

DXPartNoteScanReq::~DXPartNoteScanReq(void)
{
	//  Destructor
}
