#pragma once
//  DXPartNoteScanReq
//
//  This class is used to communicate partial database scan requests between the threads in the
//  DXNoteScanner class.
//
//  Message Identifier:      DXR
//  Message Range:           1801 - 1899
//  Trace area assignment:   TRACE_DBSCAN (28)
//  DX Version:				 3.10.11
//  Version:                 3.10.11  Build: 96
//
//  Version History:
//
//  1.0.0		07/07/2010		Initial version
//  1.0.4		19/07/2010		Added nidProcessed NOTEID array
//  3.10.11		20/07/2011		Multiplexor scaling added to NoteScanner
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2001-2011
//

//  Application Includes
#include	"DXNoteScanReq.h"							//  Main DXNoteScanReq class

//  Local Constants
#define			SCAN_NOTE_MULTIPLEX		100				//  Batch size for note scan operations
#define			SCAN_MIN_MULTIPLEX		5				//  Min batch size
#define			REQ_SCAN_DATA_NOTES		1				//  Scan data notes				
#define			REQ_SCAN_FREED			-1				//  Mark the req object as freed

class DXPartNoteScanReq
{
public:
	//  Constructor
	DXPartNoteScanReq(DXNoteScanReq *nsrOriginator);

	//  Destructor
	~DXPartNoteScanReq(void);

	//  Public Members
	DXNoteScanReq	*nsrParent;								//  Parent DXNoteScan Request
	int				iScanAction;							//  Scan action to perform
	int				iErrors;								//  Number of errors during scan
	int				iNotesToScan;							//  Actual number of notes in array to scan
	int				iNotesScanned;							//  Number of notes scanned
	NOTEID			nidToScan[SCAN_NOTE_MULTIPLEX];			//  Array of NoteIDs to scan
	NOTEID			nidResults[MAX_SEARCH_ENTRIES][SCAN_NOTE_MULTIPLEX]; //  Array of results
	int				iAdded[MAX_SEARCH_ENTRIES];				//  Number added to each search entry

	//  Public Functions

private:
	//  Private Members

	//  Private Functions

protected:
	//  Protected Members

	//  Protected Functions

};
