//  TransactionQueue
//
//  This class provides the information that describes a Transaction Queue. It is used by the
//  standard transaction handler to access, control and monitor a particular queue.
//  the standard command set.
//
//  Message Identifier:      N/A
//  Message Range:           0000 - 0000
//  Trace area assignment:   None
//  DX Version:				 3.11.1
//  Version:                 3.11.1  Build: 99
//
//  Version History:
//
//  3.10.1		13/10/2010		Initial Version
//  3.10.8		30/05/2011		Transaction scheduling added to transaction handler
//  3.11.1		22/10/2011		VS 2011 Updates
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2010 - 2011
//

//  Application Includes
#include "TransactionQueue.h"

//  Default Constructor
TransactionQueue::TransactionQueue(void)
{
	//  Initialise the queue descriptor with the defaults
	wQueueProtocols = QPFLAG_REQUE_DELAY | QPFLAG_DELAY_IDLE;		//  Auto Requeue - only when idle
	MaxConcurrent = 1;												//  Default single transaction lane
	hdbQueue = NULLHANDLE;
	MinDelay = DEFAULT_DELAY;										//  Default delay interval
	ReQTXCycle = 0;
	MaxReqCount = 0;												//  No limit for requeue
	MaxRunLimit = 0;												//  No Run Limit
	LocalPermit = TRUE;												//  Processing is allowed
	QueueIsSuspended = FALSE;										//  Not suspended
	szQName[0] = '\0';												//  Anonymous queue
	szQServer[0] = '\0';
	szQDbPath[0] = '\0';
	strcpy_s(szReadyQName, MAX_ELEMENT, DEFAULT_NEW_TRANS);
	strcpy_s(szInProgressQName, MAX_ELEMENT, DEFAULT_IP_TRANS);
	strcpy_s(szDelayedQName, MAX_ELEMENT, DEFAULT_DELAYED_TRANS);
	strcpy_s(szSchedQName, MAX_ELEMENT, DEFAULT_SCHED_TRANS);
	dwStarted = 0;
	dwCompleted = 0;
	dwSched = 0;
}

//  Destructor
TransactionQueue::~TransactionQueue(void)
{
}

