#pragma once
//  NECache
//
//  This class extends the DX ObjectCache class to provide a cache for Named Entities.
//
//  Message Identifier:      DXR
//  Message Range:           8501 - 8599
//  Trace area assignment:   TRACE_NER (30)
//  DX Version:				 3.11.1
//  Version:                 3.11.1  Build: 99
//
//  Version History:
//
//
//  Copyright: Hadleigh Marshall (Netherlands) b.v. 2011
//

//  Platform Includes
#include	"../Platform/PlatBase.h"

//  Runtime Includes
#include	"../ExecEnvironment.h"
#include	"../Misc/ObjectCache.h"

//  Application Includes
#include	"NamedEntity.h"

//  Trace Messages
#define		MSG_DXR8501T			"DXR8501T: A new Named Entity cache has been created @%p."
#define		MSG_DXR8503T			"DXR8503T: Named Entity Cache @%p has been destroyed."

//  Information Messages
#define		MSG_DXR8502I			"DXR8502I: Named Entity Cache @%p has initialised a cache @%p with %i entries and strategy %i."


//  Class Definition for the NECache Class
class NECache :
	public ObjectCache
{
public:
	//  Constructor
	NECache(ExecEnvironment *xeParent, int iMaxEntries, int iStrategy, int iThreadID);

	//  Destructor
	~NECache(void);

	//  Public Members

	//  Public Functions

private:
	//  Private Members

	//  Private Functions

protected:
	//  Protected Members
	ExecEnvironment			*xeLocal;											//  Current Runtime
	int						OwningThread;										//  Owning Thread

	//  Protected Functions
	virtual BOOL selectObject(void *pObject, char *szKey, int iThreadID);		//  Determine if this is the selected object
	virtual void *createObject(char *szKey, int iThreadID);						//  Create a new object
	virtual void cacheOut(void *pObject, BOOL bWrite, int iThreadID);			//  Remove a cache entry
};

